#include <stdio.h>
#include <stdlib.h>

#include <xc.h>
#include <sys/attribs.h>
#include "config.h"

#include "lcd.c"
#include "swt.c"
#include "led.c"
//#include "utils.c"
#include "btn.c"
#include "ssd.c"
#include "rgbled.c"

#pragma config JTAGEN = OFF     
#pragma config FWDTEN = OFF      


/* ------------------------------------------------------------ */
/*						Configuration Bits		                */
/* ------------------------------------------------------------ */


// Device Config Bits in  DEVCFG1:	
#pragma config FNOSC =	FRCPLL
#pragma config FSOSCEN =	OFF
#pragma config POSCMOD =	EC
#pragma config OSCIOFNC =	ON
#pragma config FPBDIV =     DIV_1

// Device Config Bits in  DEVCFG2:	
#pragma config FPLLIDIV =	DIV_2
#pragma config FPLLMUL =	MUL_20
#pragma config FPLLODIV =	DIV_1

 #define _XTAL_FREQ 8000000     // 

#define LINES 5
#define LENGTH 16
char LCD_Strings[LINES][LENGTH]={   "BTNR for timer ", "BTNL to add    ",
                                    "BTNC for answer", "BTND for menu  ",
                                    "               "};

/*LCD_WriteStringAtPos(LCD_Strings[0], 0, 0);
  LCD_WriteStringAtPos(LCD_Strings[i], 1, 0);*/
int main(void)
{
    int state;
    
    LED_Init();
    SWT_Init();
    while(1)
    {
        state = SWT_GetValue(0);
        LED_SetValue(0, state);
  
    }
    return 0;
}

/*
 * lylititega panna kahendkoodis arv
 * LEDidel n2idata alati kahendkoodis vastust
 * SSD'l nidata HEX koodis vastust
 
 */